using System.Runtime.Serialization;
using System.Text.Json.Serialization;

namespace YandexMusic.API.Models.Common.Cover;

[JsonConverter(typeof(JsonStringEnumConverter))]
public enum YCoverType
{
    Color,
    Error,
    [EnumMember(Value = "from-artist-photos")]
    FromArtistPhotos,
    [EnumMember(Value = "from-album-cover")]
    FromAlbumCover,
    Mosaic,
    Pic,
}